### Method

# Camel NamedFlags equal

since: 3.24

#### Declaration [src]

    gboolean
    camel_named_flags_equal (
      const CamelNamedFlags* named_flags_a,
      const CamelNamedFlags* named_flags_b
    )

#### Description [src]

Compares content of the two `CamelNamedFlags` and returns whether they equal. Note this is an expensive operation for large sets.

Available since: 3.24

#### Parameters

`named_flags_a`

  Type: `CamelNamedFlags`

  The first `CamelNamedFlags`.

  The argument can be `NULL`.

`named_flags_b`

  Type: `CamelNamedFlags`

  The second `CamelNamedFlags`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the two `CamelNamedFlags` have the same content.